html,
body {
  font-family: 'Roboto', sans-serif;
  margin: 0;
  touch-action: none;
  background: black;
}




.portrait-btn {
  bottom: auto;
  /* Reset the default bottom value */
  left: auto;
  /* Reset the default left value */
  position: fixed;
  /* Fixed position could be used depending on the layout */
  top: 50%;
  /* Adjust this value to position buttons vertically */
  transform: translateY(-50%);
  /* Center the buttons vertically */
}



#infoPanel {
  
  position: fixed;
  
  left: calc(-1 * var(--panel-width) - 0px);
  /* Use the variable */
  top: 0px;
  width: var(--panel-width);
  height: 100%;
  color: #1b1b1b;
  background-color: var(--panel-bg-color);
  backdrop-filter: blur(var(--blur-size));
  -webkit-backdrop-filter: blur(var(--blur-size));
  font-family: 'Roboto', sans-serif;
  box-shadow: 6px 4px 5px rgba(0, 0, 0, 0.3);
  border-radius: 0 15px 15px 0;
  transition: left 0.5s;
  z-index: 20;
}



#panelLid {
  
  position: absolute;
  right: -20px;
  top: 40%;
  width: 20px;
  height: 60px;
  background-color: #e1e0e0;
  backdrop-filter: blur(var(--blur-size));
  -webkit-backdrop-filter: blur(var(--blur-size));
  border-radius: 0 10px 10px 0;
  cursor: pointer;
  box-shadow: 2px 4px 10px rgba(0, 0, 0, 0.5);
}

#panelContent {
  height: 100%;
  padding-top: 20px;
  text-align: left;
  font-size: var (--text-size);
  max-height: 100vh;
  transition: opacity 0.3s ease;
  overflow-y: auto;
  -ms-overflow-style: none;
  /* Internet Explorer 10+ */
  scrollbar-width: none;
  /* Firefox */
  touch-Action: none
}

#panelContent::-webkit-scrollbar {
  display: none;
}

#panelContent img {
  display: block;
  margin-top: 25px;
  margin-bottom: 0px;
  max-height: var(--plan-width);
  object-fit: cover;
  filter: drop-shadow(5px 6px 12px rgba(0, 0, 0, 0.5));
  cursor: pointer;
  transition: opacity 0.3s ease;

}

.non-clickable-image {
  pointer-events: none;
  transition: opacity 0.3s ease;
}


#panelContent h2,
#panelContent p,
#panelContent a {
  padding-left: 40px;
  /* Adds padding on all sides */
  padding-right: 40px;
  /* Adds padding on all sides */
  text-align: left;
  /* Aligns text to the left */
}


#infoImageColor,
.infoImageColor {
  -webkit-mask-image: none;
  mask-image: none;
  background-color: var(--info-color);
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-size: contain;
  mask-size: contain;
  -webkit-mask-position: center;
  mask-position: center;
  display: block;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}

.infoImageColor {
  background-color: var(--info-color);
  mask-repeat: no-repeat;
  -webkit-mask-repeat: no-repeat;
  mask-size: contain;
  -webkit-mask-size: contain;
  mask-position: center;
  -webkit-mask-position: center;
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}



#infoImageColor .info-colored {
  -webkit-mask-image: var(--mask-url);
  mask-image: var(--mask-url);
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
  background-color: var(--info-color);
  width: 100%;
  height: auto;
  display: block;
}




/* Base styles for the button */
.poi-btn {
  filter: drop-shadow(5px 6px 4px rgba(0, 0, 0, 0.4));
  position: absolute;
  width: 75px;
  height: 75px;
  border: none;
  padding: 0;
  z-index: 5;
  cursor: pointer;
  background: none;
  display: block;
  touch-action: none;
  .button:active,
  .button:focus {
    outline: none;
    background-color: inherit;
  }
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent;
}

/* Shared styles for ::before and ::after */
.poi-btn::before,
.poi-btn::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;

}

.poi-btn::before {
  mask-image: url('./icons/button_on.png');
  background-color: var(--button1-color);
}

.poi-btn::after {
  mask-image: url('./icons/poi_icon.png');
  background-color: var(--button2-color);
}

.poi-btn.off::before {
  mask-image: url('./icons/button_off.png');
}


.info-btn {
  filter: drop-shadow(5px 6px 4px rgba(0, 0, 0, 0.4));
  position: absolute;
  width: 75px;
  height: 75px;
  border: none;
  padding: 0;
  z-index: 5;
  cursor: pointer;
  background: none;
  display: block;
  touch-action: none;
  .button:active,
  .button:focus {
    outline: none;
    background-color: inherit;
  }
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent;
}

.info-btn::before,
.info-btn::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
}

.info-btn::before {
  mask-image: url('./icons/button_off.png');
  background-color: var(--button1-color);
}

.info-btn::after {
  mask-image: url('./icons/info_icon.png');
  background-color: var(--button2-color);
}

.info-btn.on::before {
  mask-image: url('./icons/button_on.png');
}





.fscrn-btn {
  filter: drop-shadow(5px 6px 4px rgba(0, 0, 0, 0.4));
  position: absolute;

  width: 75px;
  height: 75px;
  border: none;
  padding: 0;
  z-index: 5;
  cursor: pointer;
  background: none;
  display: block;
  touch-action: none;
  .button:active,
  .button:focus {
    outline: none;
    background-color: inherit;
  }
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent;
}

.fscrn-btn::before,
.fscrn-btn::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
}

.fscrn-btn::before {
  mask-image: url('./icons/fscrn_on.png');
  background-color: var(--button2-color);
}

.fscrn-btn::after {
  mask-image: url('./icons/button_off.png');
  background-color: var(--button1-color);
}

.fscrn-btn.off::before {
  mask-image: url('./icons/fscrn_off.png');
  background-color: var(--button2-color);
}

.scrn-btn {
  filter: drop-shadow(5px 6px 4px rgba(0, 0, 0, 0.4));
  position: absolute;
  width: 75px;
  height: 75px;
  border: none;
  padding: 0;
  z-index: 5;
  cursor: pointer;
  background: none;
  display: block;
  touch-action: none;
  .button:active,
  .button:focus {
    outline: none;
    background-color: inherit;
  }
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: transparent;
}

.scrn-btn::before,
.scrn-btn::after {

  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
}

.scrn-btn::before {
  mask-image: url('./icons/button_off.png');
  background-color: var(--button1-color);
}

.scrn-btn::after {

  mask-image: url('./icons/scrn_icon.png');
  background-color: var(--button2-color);
}

.scrn-btn.off::before {
  mask-image: url('./icons/button_on.png');
}

.icon-btn {
  filter: drop-shadow(5px 6px 4px rgba(0, 0, 0, 0.4));
  transition: opacity 0.25s ease, transform 0.25s ease;

  position: absolute;
  width: 100px;
  height: 100px;
  border: none;
  padding: 0;
  z-index: 100;

  cursor: pointer;
  background: transparent;
  display: block;

  appearance: none;
  -webkit-appearance: none;

  outline: none;
  box-shadow: none;

  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;

  touch-action: manipulation;
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.icon-btn:hover,
.icon-btn:active,
.icon-btn:focus,
.icon-btn:focus-visible {
  outline: none;
  border: none;
  background: transparent !important;
  background-color: transparent !important;
  box-shadow: none !important;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.icon-btn::before,
.icon-btn::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 100%;

  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;

  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;

  pointer-events: none;
  user-select: none;
  -webkit-user-select: none;
}

.icon-btn::before {
  mask-image: var(--icon-on);
  -webkit-mask-image: var(--icon-on);
  background-color: var(--button2-color);
}

.icon-btn::after {
  mask-image: url("./icons/button_off.png");
  -webkit-mask-image: url("./icons/button_off.png");
  background-color: var(--button1-color);
}

.icon-btn.off::before {
  mask-image: var(--icon-off, var(--icon-on));
  -webkit-mask-image: var(--icon-off, var(--icon-on));
}

.btn-base {
  user-select: none;
  -webkit-user-select: none;
  -webkit-touch-callout: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  touch-action: manipulation;
  outline: none;
}

.btn-base:hover,
.btn-base:active,
.btn-base:focus,
.btn-base:focus-visible {
  outline: none;
  border: none;
  box-shadow: none !important;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.env-btn {
  --icon-on: url('./icons/env1.png');
  --icon-off: url('./icons/env2.png');
}

.bodyColor-btn {
  --icon-on: url('./icons/car.png');
  --icon-off: url('./icons/car_s.png');
}

.leatherColor-btn {
  --icon-on: url('./icons/seat.png');
  --icon-off: url('./icons/seat_s.png');
}

.rimType-btn {
  --icon-on: url('./icons/rim.png');
  --icon-off: url('./icons/rim_s.png');
}

.exit-btn {
  --icon-on: url('./icons/exit.png');
}



.toggleBillboards-btn {
  --icon-on: url('./icons/tglbb_on.png');
  --icon-off: url('./icons/tglbb.png');

}
.animation-btn {
  --icon-on: url('./icons/play.png');
  --icon-off: url('./icons/pause.png');
}

.bodyMaterialType-btn {
  --icon-on: url('./icons/m.png');
  --icon-off: url('./icons/u.png');
}

.fullscreen-btn {
  --icon-on: url('./icons/fscrn_on.png');
  --icon-off: url('./icons/fscrn_off.png');
}




.poi-btn,
.fscrn-btn,
.scrn-btn,
.info-btn {
  opacity: 0;

  transition: left 0.5s, opacity 0.5s ease;

  /* This should match the duration of your info panel transition */
}



.no-select {
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;

  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}

.modal {
  opacity: 0;
  display: block;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
  /* Dim the background */
  align-items: center;
  /* Center vertically */
  justify-content: center;
  /* Center horizontally */
  display: flex;
  transition: opacity 0.5s ease;
}

.modal-content {
  display: block;
  margin: auto;
  height: 80%;
  max-height: 800px;
  transition: opacity 0.5s ease;
  /* Add transition effect */



}

.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  cursor: pointer;
}
.black-link {
  color: black;
  font-family: 'Roboto', sans-serif;
  font-weight: bold;
}

body {
  margin: 0;
  overflow: hidden; /* Prevent scrollbars */
}

/* Attribution styles */
.attribution {
  position: fixed;
  bottom: 30px;
  right: 50px;
  font-size: 30px;
  color: #58585871;


  z-index: 1000; /* Ensure it stays on top */
  width: auto; /* Let the content define the width */
  height: auto; /* Let the content define the height */
  white-space: nowrap; /* Prevent wrapping of text */
}

/* full‐screen splash with “cover” scaling */
#loading-screen {
  z-index: 1000;
  position: fixed;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: center/cover no-repeat;
  opacity: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  pointer-events: none;
}
#loading-screen.fade-in   { animation: fadeIn 0.5s forwards; }
#loading-screen.fade-out  { animation: fadeOut 1.5s forwards; }

.loading-content {
  text-align: center;
  color: #fff;
}
.loading-content {
  position: absolute;
  bottom: 20%;
  left: 50%;
  transform: translateX(-50%);
  text-align: center;
  color: #fff;
}

#progress-container {
  width: 30vw;
  height: 8px;
  background: rgba(255,255,255,0.3);
  border-radius: 4px;
  overflow: hidden;
}
#progress-bar {
  width: 0;
  height: 100%;
  background: rgba(255,255,255,0.9);
  transition: width 0.1s linear;
}

#black-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #000;
  z-index: 10;
}

#heightmap {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -5;
  object-fit: cover;
  display: none; /* Hide initially */
}

.fade-in {
  opacity: 0;
  animation: fadeIn 0.7s ease forwards;
}

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}


@keyframes fadeIn  { from { opacity: 0; } to { opacity: 1; } }
@keyframes fadeOut { from { opacity: 1; } to { opacity: 0; } }

html, body {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    overflow: hidden;
}
canvas {
    width: 100% !important;
    height: 100% !important;
    display: block;
    position: absolute;
    top: 0; left: 0;
}



/* base */
.btn-base{
    z-index: 100;
    transition: opacity 0.25s ease, transform 0.25s ease;
    filter: drop-shadow(5px 6px 4px rgba(0, 0, 0, 0.4));
  position:fixed; width:100px; height:100px; border:0; padding:0; background:#0000;
  background-image:url('./icons/button_off.png'); background-size:contain; background-repeat:no-repeat; background-position:center;
  cursor:pointer;

  
}
.btn-base::before, .btn-base::after{
  content:""; position:absolute; inset:0; pointer-events:none;
  background-position:center; background-size:contain; background-repeat:no-repeat;

}

.btn-base::before{
  background:var(--fill-color);
 /* -webkit-mask:url('./icons/color_fill.png') center/contain no-repeat;*/
          mask:url('./icons/color_fill.png') center/contain no-repeat;
}

.btn-base::after{ opacity:0; background-image:url('./icons/button_sel.png'); }
.btn-base.selected::after{ opacity:1; }

.is-hidden {
  opacity: 0;
  pointer-events: none;
  transform: scale(0.9);
}

.is-visible {
  opacity: 1;
  pointer-events: auto;
  transform: scale(1);
}

.bc1-btn{ --fill-color:#ffffff; }
.bc2-btn{ --fill-color:#90C8FD; }
.bc3-btn{ --fill-color:#832222; }
.bc4-btn{ --fill-color:#5d5d5d; }
.bc5-btn{ --fill-color:#000000; }

.lc1-btn{ --fill-color:#bbb19d; }
.lc2-btn{ --fill-color:#822720; }
.lc3-btn{ --fill-color:#000000; }

.rt1-btn::before{ --fill-color:#ffffff; mask:url('./icons/rim_1.png') center/contain no-repeat;}
.rt2-btn::before{ --fill-color:#ffffff; mask:url('./icons/rim_2.png') center/contain no-repeat;}
.rt3-btn::before{ --fill-color:#ffffff; mask:url('./icons/rim_3.png') center/contain no-repeat;}
.rt4-btn::before{ --fill-color:#ffffff; mask:url('./icons/rim_4.png') center/contain no-repeat;}



.ui-line {
  position: absolute;
  z-index: 95;
  left: calc(50% + var(--x1));
  bottom: var(--y);
  width: calc(var(--x2) - var(--x1));
  height: 3px;
  background: rgba(255, 255, 255, 1.0);
  border-radius: 999px;
  pointer-events: none;
  filter: drop-shadow(5px 6px 4px rgba(0, 0, 0, 0.4));
  transition: opacity 0.25s ease, transform 0.25s ease;
  transform-origin: center;
}

.ui-line.is-hidden {
  opacity: 0;
  transform: scaleX(0.9);
}

.ui-line:not(.is-hidden) {
  opacity: 1;
  transform: scaleX(1);
}

.ui-line-v {
  position: absolute;
  left: calc(50% + var(--x));
  bottom: var(--y1);
  width: 3px;
  height: calc(var(--y2) - var(--y1));
  background: rgba(255, 255, 255, 0.95);
  border-radius: 999px;
  pointer-events: none;
  filter: drop-shadow(5px 6px 4px rgba(0, 0, 0, 0.4));
  transition: opacity 0.25s ease, transform 0.25s ease;
  transform-origin: bottom center;
}

.ui-line-v.is-hidden {
  opacity: 0;
  transform: scaleY(0.9);
}

.ui-line-v:not(.is-hidden) {
  opacity: 1;
  transform: scaleY(1);
}


